INNCONFVAL(1)

NAME
innconfval - Get configuration parameters from inn.conf

SYNOPSIS
innconfval [-pstv] [-i file] [parameter ...]

innconfval -C [-i file]

DESCRIPTION
innconfval normally prints the values of the parameters specified on the command line. By default, it just prints the parameter values, but if -p, -s, or -t are given, it instead prints the parameter and value in the form of a variable assignment in Perl, Bourne shell, or Tcl respectively. If no parameters are specifically requested, innconfval prints out all parameter values (this isn't particularly useful unless one of -p, -s, or -t were specified).

All parameters are taken from inn.conf except for version, which is always the version string of INN.

If given the -C option, innconfval instead checks inn.conf, reporting any problems found to standard error. innconfval will exit with status 0 if no problems are found and with status 1 otherwise.

OPTIONS

-C  Check inn.conf rather than printing out the values of parameters.

-i file
    Use file as the source configuration file rather than inn.conf. file must be a valid inn.conf file and will be parsed the same as inn.conf would be.

-p  Print out parameters as Perl assignment statements. The variable name will be the same as the inn.conf parameter, and string values will be enclosed in single quotes with appropriate escaping. Boolean values will be mapped to the strings "true" or "false". List values will be mapped to an array of strings. NULL values are not printed out and will therefore be "undef" in Perl.

    Here is an example:

        $enableoverview = 'true';
        @extraoverviewadvertised = ( 'Newsgroups', 'Injection-Info' );
        $organization = 'Let\'s try nasty "quotes"';
        $maxforks = 10;

    If innconfval is called via the Perl "INN::Config" module, all these variables are properly exported.

-s  Print out parameters as Bourne shell assignment statements. The variable name will be the inn.conf parameter name in all capitals, and all variables will be exported, if not NULL. String values will be enclosed in single quotes with appropriate escaping, and boolean values will be mapped to "true" or "false". List values will be mapped to a space-separated string representing an array of strings (as Bourne shell does not recognize arrays, contrary to several other shells, an array cannot be returned for interoperability reasons).

    Here is an example:

        ENABLEOVERVIEW=true; export ENABLEOVERVIEW;
        EXTRAOVERVIEWADVERTISED='"Newsgroups" "Injection-Info"'; export EXTRAOVERVIEWADVERTISED;
        ORGANIZATION='Let'\''s try nasty "quotes"'; export ORGANIZATION;
        MAXFORKS=10; export MAXFORKS;

-t  Print out parameters as Tcl assignment statements. The variable name will be the same as the inn.conf parameter name but with "inn_" prepended, and string variables will be escaped appropriately. Boolean values will be mapped to the strings "true" or "false". List values will be mapped to an array of strings. NULL values are not printed out.

    Here is an example:

        set inn_enableoverview "true"
        set inn_extraoverviewadvertised { "Newsgroups" "Injection-Info" }
        set inn_organization "Let's try nasty \"quotes\""
        set inn_maxforks 10

-v  Print INN's version. This is equivalent to "innconfval version".

HISTORY
Written by Rich $alz <rsalz@uunet.uu.net> for InterNetNews.

$Id: innconfval.pod 8919 2010-01-22 23:29:28Z iulius $

SEE ALSO
inn.conf(5), INN::Config(3pm).